//##protect##"FileHeader"
/** @file Read32DigitalInputs.c
 *
 *  @authors S. Beuque, C. Guinot, J. Krauth, N. Reibel, J. Rose, L. Sartory, S. Weber
 *  @date    Creation: 05.12.2012
 *  @date    $LastChangedDate: 2012-12-07 10:27:39 +0100 (Fr, 07. Dez 2012) $
 *  @version $LastChangedRevision: 3636 $
 *
 *  @par DESCRIPTION
 *  This sample demonstrates how to read the value of all the digital inputs at once 
 *
 *  @par LICENCE
 *  @verbatim
 *  Copyright (C) 2009 - 2012 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmnster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 *  @endverbatim
 **/
//##protect##"FileHeader"

#include "StdAfx.h"

//##protect##"Read32DigitalInputs_Head"
//##protect##"Read32DigitalInputs_Head"

int _tmain(int argc, _TCHAR *argv[])
{
	INT    i_ReturnValue = 0;
	HANDLE h_BoardHandle = NULL;
//##protect##"Read32DigitalInputs_VariablesDeclaration"
	DWORD  dw_Value = 0;
//##protect##"Read32DigitalInputs_VariablesDeclaration"

	UNREFERENCED_PARAMETER(argc);
	UNREFERENCED_PARAMETER(argv);

	printf("/****************************************************************************\\\n"
	       "|*                        Read32DigitalInputs sample                        *|\n"
	       "|****************************************************************************|\n"
	       "|* This sample demonstrates how to read the value of all the digital        *|\n"
	       "|* inputs at once                                                           *|\n"
	       "\\****************************************************************************/\n\n");

//##protect##"Read32DigitalInputs_Start"
//##protect##"Read32DigitalInputs_Start"

	i_ReturnValue = i_Utils_OpenBoard(&h_BoardHandle);
	if (i_ReturnValue != 0)
	{
		fprintf(stderr, "i_Utils_OpenBoard failed: %d\n", i_ReturnValue);
		_getch();
		return i_ReturnValue;
	}

//##protect##"Read32DigitalInputs_Body"
	printf("\n Press any key to exit the sample...\n");
	do
	{
		/* read the value of the selected channel */
		i_ReturnValue = i_PCIe1032_Read32DigitalInputs(h_BoardHandle, &dw_Value);
		if (i_ReturnValue != 0)
		{
			fprintf(stderr, "%s \n", pc_PCIe1032_GetLastError(h_BoardHandle));
			i_PCIe1032_CloseBoard(h_BoardHandle);
			_getch();
			return i_ReturnValue;
		}

		/* print the channel value */
		printf("\rStatus: 0x%-8x", dw_Value);
		v_Utils_DisplayRunningStatus();

		Sleep(100);
	} while (!_kbhit());
//##protect##"Read32DigitalInputs_Body"

	i_ReturnValue = i_PCIe1032_CloseBoard(h_BoardHandle);
	if (i_ReturnValue != 0)
	{
		fprintf(stderr, "i_PCIe1032_CloseBoard failed: %d\n", i_ReturnValue);
		_getch();
		return i_ReturnValue;
	}

//##protect##"Read32DigitalInputs_End"
//##protect##"Read32DigitalInputs_End"

	printf("\nPress any key to exit the sample...\n");
	_getch();
	return i_ReturnValue;
}
