UNIT PCIe1032;

INTERFACE

FUNCTION i_PCIe1032_GetNumberOfBoards				(
														var pb_NbrOfBoards 	: Byte
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_GetBoardInformation				(
														b_BoardIndex 			: Byte;
														dw_IdentifierStringSize	: LongWord;
					                                    pc_Identifier 			: PAnsiChar;
					                                    var pdw_UINumber 		: LongWord;
					                                    var pdw_DeviceNumber	: LongWord;
					                                    var pdw_BusNumber 		: LongWord;
					                                    var pdw_BaseAddress0 	: LongWord;
					                                    var pdw_BaseAddress1 	: LongWord;
					                                    var pdw_BaseAddress2 	: LongWord;
					                                    var pdw_BaseAddress3 	: LongWord;
					                                    var  pb_Interrupt 		: Byte 
				                                    							): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_OpenBoardViaIndex				(
														b_BoardIndex 		: Byte; 
														var ph_DeviceHandle	: THANDLE
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_OpenBoardViaIdentifier			(
														pc_Identifier 		: PCHAR; 
														var ph_DeviceHandle	: THANDLE
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_CloseBoard						(
														h_DeviceHandle	: THANDLE
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_GetDLLVersion					(
														var pdw_Version	: LongWord
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_GetDeviceDriverVersion			(
														h_DeviceHandle	: THANDLE; 
														var pdw_Version	: LongWord
																				): Int16; FAR; STDCALL;

FUNCTION pc_PCIe1032_GetLastError					(
														h_DeviceHandle	: THANDLE
																				): PCHAR; FAR; STDCALL;

FUNCTION i_PCIe1032_SetBoardIntRoutine 				(
														h_DeviceHandle	: THANDLE; 
														v_FunctionName	: Pointer
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_ResetBoardIntRoutine 			(
														h_DeviceHandle	: THANDLE
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_Read1DigitalInput 				(
														h_DeviceHandle	: THANDLE;
														b_Channel		: Byte;
														var b_Value		: Byte
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_Read4DigitalInputs 				(
														h_DeviceHandle	: THANDLE; 
														b_Port			: Byte; 
														var b_Value		: Byte
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_Read8DigitalInputs 				(
														h_DeviceHandle	: THANDLE; 
														b_Port			: Byte; 
														var b_Value		: Byte
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_Read16DigitalInputs 			(
														h_DeviceHandle	: THANDLE; 
														b_port			: Byte;
														var w_Value		: UInt16	
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_Read32DigitalInputs 			(
														h_DeviceHandle 	: THANDLE
														var dw_Value 	: LongWord
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_InitDigitalInputEventLogic		(
														h_DeviceHandle 		: THANDLE; 
														b_InterruptLogic 	: Byte;
														dw_DigitalInputMode1: LongWord; 
														dw_DigitalInputMode2: LongWord
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_StartDigitalInputEventLogic 	(
														h_DeviceHandle 	: THANDLE
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_StopDigitalInputEventLogic  	(
														h_DeviceHandle 	: THANDLE
																				): Int16; FAR; STDCALL;

FUNCTION i_PCIe1032_ReleaseDigitalInputEventLogic 	(
														h_DeviceHandle 	: THANDLE
																				): Int16; FAR; STDCALL;
FUNCTION i_PCIe1032_InitAndStartTimer 				(
														h_DeviceHandle 	: THANDLE;
														b_TimeBase		: Byte;
														w_ReloadValue	: UInt16;
														b_InterruptFlag	: Byte
																				): Int16; FAR; STDCALL;
FUNCTION i_PCIe1032_ReadTimerValue 					(
														h_DeviceHandle 	: THANDLE;
														var w_Value 	: UInt16
																				): Int16; FAR; STDCALL;
FUNCTION i_PCIe1032_ReadTimerStatus 				(
														h_DeviceHandle 		: THANDLE;
														var b_TimerStatus	: Byte;
														var b_SoftwareTriggerStatus : Byte;
														var w_TimerValue:	UInt16
																				): Int16; FAR; STDCALL;
FUNCTION i_PCIe1032_StopAndReleaseTimer 			(
														h_DeviceHandle 	: THANDLE
																				): Int16; FAR; STDCALL;

IMPLEMENTATION

FUNCTION i_PCIe1032_GetNumberOfBoards				(
														var pb_NbrOfBoards 	: Byte
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_GetBoardInformation				(
														b_BoardIndex 			: Byte;
														dw_IdentifierStringSize	: LongWord;
					                                    pc_Identifier 			: PAnsiChar;
					                                    var pdw_UINumber 		: LongWord;
					                                    var pdw_DeviceNumber	: LongWord;
					                                    var pdw_BusNumber 		: LongWord;
					                                    var pdw_BaseAddress0 	: LongWord;
					                                    var pdw_BaseAddress1 	: LongWord;
					                                    var pdw_BaseAddress2 	: LongWord;
					                                    var pdw_BaseAddress3 	: LongWord;
					                                    var  pb_Interrupt 		: Byte 
				                                    							): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_OpenBoardViaIndex				(
														b_BoardIndex 		: Byte; 
														var ph_DeviceHandle	: THANDLE
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_OpenBoardViaIdentifier			(
														pc_Identifier 		: PCHAR; 
														var ph_DeviceHandle	: THANDLE
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_CloseBoard						(
														h_DeviceHandle	: THANDLE
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_GetDLLVersion					(
														var pdw_Version	: LongWord
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_GetDeviceDriverVersion			(
														h_DeviceHandle	: THANDLE; 
														var pdw_Version	: LongWord
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION pc_PCIe1032_GetLastError					(
														h_DeviceHandle	: THANDLE
																				): PString; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_SetBoardIntRoutine 				(
														h_DeviceHandle	: THANDLE; 
														v_FunctionName	: Pointer
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_ResetBoardIntRoutine 			(
														h_DeviceHandle	: THANDLE
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_Read1DigitalInput 				(
														h_DeviceHandle	: THANDLE;
														b_Channel		: Byte;
														var b_Value		: Byte
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_Read4DigitalInputs 				(
														h_DeviceHandle	: THANDLE; 
														b_Port			: Byte; 
														var b_Value		: Byte
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_Read8DigitalInputs 				(
														h_DeviceHandle	: THANDLE; 
														b_Port			: Byte; 
														var b_Value		: Byte
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_Read16DigitalInputs 			(
														h_DeviceHandle	: THANDLE; 
														b_port			: Byte;
														var b_Value		: UInt16	
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_Read32DigitalInputs 			(
														h_DeviceHandle 	: THANDLE
														var dw_Value 	: LongWord
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_InitDigitalInputEventLogic		(
														h_DeviceHandle 		: THANDLE; 
														b_InterruptLogic 	: Byte;
														dw_DigitalInputMode1: LongWord; 
														dw_DigitalInputMode2: LongWord
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_StartDigitalInputEventLogic 	(
														h_DeviceHandle 	: THANDLE
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_StopDigitalInputEventLogic  	(
														h_DeviceHandle 	: THANDLE
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_ReleaseDigitalInputEventLogic 	(
														h_DeviceHandle 	: THANDLE
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

FUNCTION i_PCIe1032_InitAndStartTimer 				(
														h_DeviceHandle 	: THANDLE;
														b_TimeBase		: Byte;
														w_ReloadValue	: UInt16;
														b_InterruptFlag	: Byte
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';
FUNCTION i_PCIe1032_ReadTimerValue 					(
														h_DeviceHandle 	: THANDLE;
														var w_Value 	: UInt16
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';
FUNCTION i_PCIe1032_ReadTimerStatus 				(
														h_DeviceHandle 		: THANDLE;
														var b_TimerStatus	: Byte;
														var b_SoftwareTriggerStatus : Byte;
														var w_TimerValue:	UInt16
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';
FUNCTION i_PCIe1032_StopAndReleaseTimer 			(
														h_DeviceHandle 	: THANDLE
																				): Int16; FAR; STDCALL; External 'PCIe1032.DLL';

END.