//##protect##"FileHeader"
/** @file TimerEventArgs.cs
 *
 *  @authors S. Beuque, C. Guinot, J. Krauth, N. Reibel, J. Rose, L. Sartory, S. Weber
 *  @date    Creation: 07.11.2012
 *  @date    $LastChangedDate: 2013-02-15 11:58:23 +0100 (Fr, 15 Feb 2013) $
 *  @version $LastChangedRevision: 3853 $
 *
 *  @par DESCRIPTION
 *  Timer event arguments definition
 *
 *  @par LICENCE
 *  @verbatim
 *  Copyright (C) 2009 - 2012 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmnster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 *  @endverbatim
 **/
//##protect##"FileHeader"

using System;
using System.Collections.Generic;
using System.Text;

namespace PCIe1032_NET
{
    /// <summary>
    /// Stores the data related to a Timer event.
    /// 
    /// </summary>
    public class TimerEventArgs
    {
        /// <summary>
        /// True if the FIFO buffer has overflowed
        /// </summary>
        public Boolean fifoOverflow;
        /// <summary>
        /// The mask containing information about the device that generated the interruption
        /// </summary>
        public UInt32 interruptMask;

//##protect##"TimerEventArgs"
//##protect##"TimerEventArgs"
    }
}
