using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Read32DigitalInputs
{
    public partial class Read32DigitalInputs : Form
    {
        /// <summary>
        /// Handle to the first board
        /// </summary>
        PCIe1032_NET.PCIe1032 board;

        /// <summary>
        /// Usefull variable used to access the input status picture
        /// </summary>
        PictureBox[] inputStatusBox;

        /// <summary>
        /// Constructor of the form
        /// </summary>
        public Read32DigitalInputs()
        {
            InitializeComponent();
            inputStatusBox = new PictureBox[32];
            inputStatusBox[0] = input0StatusBox;
            inputStatusBox[1] = input1StatusBox;
            inputStatusBox[2] = input2StatusBox;
            inputStatusBox[3] = input3StatusBox;
            inputStatusBox[4] = input4StatusBox;
            inputStatusBox[5] = input5StatusBox;
            inputStatusBox[6] = input6StatusBox;
            inputStatusBox[7] = input7StatusBox;
            inputStatusBox[8] = input8StatusBox;
            inputStatusBox[9] = input9StatusBox;
            inputStatusBox[10] = input10StatusBox;
            inputStatusBox[11] = input11StatusBox;
            inputStatusBox[12] = input12StatusBox;
            inputStatusBox[13] = input13StatusBox;
            inputStatusBox[14] = input14StatusBox;
            inputStatusBox[15] = input15StatusBox;
            inputStatusBox[16] = input16StatusBox;
            inputStatusBox[17] = input17StatusBox;
            inputStatusBox[18] = input18StatusBox;
            inputStatusBox[19] = input19StatusBox;
            inputStatusBox[20] = input20StatusBox;
            inputStatusBox[21] = input21StatusBox;
            inputStatusBox[22] = input22StatusBox;
            inputStatusBox[23] = input23StatusBox;
            inputStatusBox[24] = input24StatusBox;
            inputStatusBox[25] = input25StatusBox;
            inputStatusBox[26] = input26StatusBox;
            inputStatusBox[27] = input27StatusBox;
            inputStatusBox[28] = input28StatusBox;
            inputStatusBox[29] = input29StatusBox;
            inputStatusBox[30] = input30StatusBox;
            inputStatusBox[31] = input31StatusBox;
        }

        /// <summary>
        /// Call at the first load
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Read32DigitalInputs_Load(object sender, EventArgs e)
        {
            // Open the first board of the system
            this.board = PCIe1032_NET.PCIe1032.OpenBoard(0);
            // Error handling
            if (this.board == null)
            {
                MessageBox.Show("Error OpenBoard returned null");
                this.Close();
                return;
            }
            // Start the timer
            this.readTimer.Start();
        }

        /// <summary>
        /// The read timer ticks
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void readTimer_Tick(object sender, EventArgs e)
        {
            int returnValue = 0;
            UInt32 inputValue = 0;
            // We read the status of the outputs
            if ((returnValue = this.board.Read32DigitalInputs(out inputValue)) != 0)
            {
                MessageBox.Show("Error " + returnValue.ToString() + " in Read32DigitalInputs");
                this.Close();
                return;
            }

            // We change the image given the new status
            for (int i = 0; i < 32; i++)
            {
                if (((inputValue >> i) & 1) == 1)
                {
                    inputStatusBox[i].Image = global::Read32DigitalInputs.Properties.Resources.led_on;
                }
                else
                {
                    inputStatusBox[i].Image = global::Read32DigitalInputs.Properties.Resources.led_off;
                }
            }

            this.ResumeLayout(false);
            this.PerformLayout();
        }

        /// <summary>
        /// Occurs when the user closes the form
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Read32DigitalInputs_FormClosing(object sender, FormClosingEventArgs e)
        {
            // Stop the timer
            this.readTimer.Stop();
        }

        private void input6StatusBox_Click(object sender, EventArgs e)
        {

        }
    }
}
